%define majver 0.52
%define libname %mklibname %{name} %{majver}
%define libdevel %{libname}-devel

Summary:	A development library for text mode user interfaces
Name:		newt
Version:	0.52.21
Release:	%mkrel 2
License:	LGPLv2+
Group:		System/Libraries
URL:		https://pagure.io/newt
Source0:	https://pagure.io/releases/newt/%{name}-%{version}.tar.gz
Patch0:		newt-0.52.19-slang-include.patch
# do not send upstream, customisation
# change the default color palette
Patch1: 	newt-0.52.6-mdvconf.patch
# TODO send upstream ( and find what is this patch )
Patch2: 	newt-0.51.4-fix-wstrlen-for-non-utf8-strings.patch
# splitted, and send upstream by mail ( misc, 24/01/2011 )
Patch3: 	newt-0.52.13-assorted-fixes.patch
BuildRequires:	glibc-static-devel
BuildRequires:	popt-devel
BuildRequires:	python3-devel
BuildRequires:	slang-devel
Requires:	slang
# required by alsaconf
Provides:	whiptail

%description
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

%package -n	%{libname}
Summary:	Newt windowing toolkit development files library
Group:		Development/C
Provides:	lib%{name} = %{version}-%{release}

%description -n %{libname}
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

%package -n	%{libdevel}
Summary:	Newt windowing toolkit development files
Group:		Development/C
Requires:	slang-devel
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{name}-devel
Conflicts:	libnewt0.51-devel

%description -n %{libdevel}
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

Install newt-devel if you want to develop applications which will use newt.

%package -n	python3-%{name}
Summary:	Python 3 library for Newt windowing toolkit
Group:		Development/Python
%{?python_provide:%python_provide python3-%{name}}
Requires:	%{libname}%{?_isa} = %{version}-%{release}

%description -n python3-%{name}
Newt is a programming library for color text mode, widget based user
interfaces. Newt can be used to add stacked windows, entry widgets, checkboxes,
radio buttons, labels, plain text fields, scrollbars, etc., to text mode user
interfaces.  This package contains a /usr/bin/dialog replacement called
whiptail. Newt is based on the slang library.

Install python3-newt if you want to use newt for Python 3 applications.

%prep
%setup -q
%autopatch -p1

# fix build with python3.8
sed -i -e '/PLFLAGS/s,\(--libs\),\1 --embed,' Makefile.in

%build
%configure --with-gpm-support --without-tcl
%make_build all

%install
install -d %{buildroot}
%make_install

ln -snf lib%{name}.so.%{version} %{buildroot}%{_libdir}/lib%{name}.so.%{majver}

%find_lang %{name}

%files -n %{libname}
%doc CHANGES
%license COPYING
%{_libdir}/libnewt.so.%{majver}{,.*}

%files -f %{name}.lang
%doc AUTHORS CHANGES README
%license COPYING
%{_bindir}/whiptail
%{_mandir}/man1/whiptail.1*

%files -n %{libdevel}
%doc tutorial.*
%{_includedir}/newt.h
%{_libdir}/libnewt.a
%{_libdir}/libnewt.so
%{_libdir}/pkgconfig/libnewt.pc

%files -n python3-%{name}
%doc peanuts.py popcorn.py
%{python3_sitearch}/*.so
%{python3_sitearch}/*.py*
%{python3_sitearch}/__pycache__/*


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.52.21-2.mga8
+ Revision: 1531447
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Sep 13 2019 wally <wally> 0.52.21-1.mga8
+ Revision: 1440362
- new version 0.52.21
- rebuild for python3.8
- drop python2 support

* Tue Jan 08 2019 tv <tv> 0.52.20-9.mga7
+ Revision: 1352166
- rebuild with python 3.7

* Sun Sep 23 2018 umeabot <umeabot> 0.52.20-8.mga7
+ Revision: 1299732
- Mageia 7 Mass Rebuild

* Tue Aug 07 2018 wally <wally> 0.52.20-7.mga7
+ Revision: 1248823
- restore pycache

* Fri Jul 06 2018 daviddavid <daviddavid> 0.52.20-6.mga7
+ Revision: 1242145
- update files list (no more __pycache__ reference)

* Sat Aug 05 2017 pterjan <pterjan> 0.52.20-5.mga7
+ Revision: 1135277
- Rebuild for python 3.6

* Mon Jun 05 2017 ngompa <ngompa> 0.52.20-4.mga6
+ Revision: 1106761
- Get rid of unnecessary Obsoletes + Conflicts, per luigiwalser

* Sun Jun 04 2017 ngompa <ngompa> 0.52.20-3.mga6
+ Revision: 1106674
- Ensure packages are upgraded together properly

* Sun Jun 04 2017 ngompa <ngompa> 0.52.20-2.mga6
+ Revision: 1106670
- Split Python bindings to their own subpackages
- Enable Python 3 bindings
- Slightly modernize package build instructions

* Wed Apr 05 2017 luigiwalser <luigiwalser> 0.52.20-1.mga6
+ Revision: 1095935
- 0.52.20
- update URLs

* Tue May 10 2016 luigiwalser <luigiwalser> 0.52.19-1.mga6
+ Revision: 1011905
- use correct macros for building
- add patch to use correct include dir for slang.h
- 0.52.19

* Mon Feb 08 2016 umeabot <umeabot> 0.52.18-2.mga6
+ Revision: 950471
- Mageia 6 Mass Rebuild

* Mon Nov 03 2014 luigiwalser <luigiwalser> 0.52.18-1.mga5
+ Revision: 795361
- 0.52.18

* Wed Oct 15 2014 umeabot <umeabot> 0.52.17-5.mga5
+ Revision: 738893
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.52.17-4.mga5
+ Revision: 682875
- Mageia 5 Mass Rebuild

* Wed Jun 18 2014 tv <tv> 0.52.17-3.mga5
+ Revision: 638036
- remove dietlibc & uclibc builds (no more uneeded by stage1)
+ pterjan <pterjan>
- Rebuild for new Python

* Sat Feb 22 2014 luigiwalser <luigiwalser> 0.52.17-1.mga5
+ Revision: 595624
- 0.52.17

* Fri Jan 10 2014 pterjan <pterjan> 0.52.16-3.mga4
+ Revision: 566187
- Disable uclibc build

* Sat Oct 19 2013 umeabot <umeabot> 0.52.16-2.mga4
+ Revision: 531722
- Mageia 4 Mass Rebuild

* Thu Aug 08 2013 luigiwalser <luigiwalser> 0.52.16-1.mga4
+ Revision: 464813
- 0.52.16

* Sun Jul 07 2013 luigiwalser <luigiwalser> 0.52.15-1.mga4
+ Revision: 450987
- 0.52.15
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 01 2012 tv <tv> 0.52.14-2.mga3
+ Revision: 252926
- add dietlibc & uclibc builds

* Sun Feb 19 2012 luigiwalser <luigiwalser> 0.52.14-1.mga2
+ Revision: 210657
- 0.52.14

* Tue Sep 06 2011 tv <tv> 0.52.13-1.mga2
+ Revision: 139647
- new release
- drop patch 0 & 8 (merged)
- rediff patch 3

* Mon Jan 17 2011 misc <misc> 0.52.11-4.mga1
+ Revision: 21012
- add some comment about patch and provides
- remove old version requires on a long forgotten python version
- rebuilt for new python
+ dmorgan <dmorgan>
- Get rid of mdv macros
- imported package newt


* Tue Nov 02 2010 Jani Välimaa <wally@mandriva.org> 0.52.11-3mdv2011.0
+ Revision: 592225
- rebuild for python 2.7

* Sun Mar 14 2010 Oden Eriksson <oeriksson@mandriva.com> 0.52.11-2mdv2010.1
+ Revision: 519047
- rebuild

  + Sandro Cazzaniga <kharec@mandriva.org>
    - re-update to 0.52.11 after an error
    - update to 0.52.4

* Fri Sep 25 2009 Frederik Himpe <fhimpe@mandriva.org> 0.52.11-1mdv2010.0
+ Revision: 449267
- Update to new version 0.52.11 (fixes CVE-2009-2905)
- Remove patches integrated upstream
- Rediff LDFLAGS patch

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 0.52.6-8mdv2009.1
+ Revision: 319757
- rebuild for new python

* Wed Dec 24 2008 Oden Eriksson <oeriksson@mandriva.com> 0.52.6-7mdv2009.1
+ Revision: 318198
- use %%ldflags

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.52.6-5mdv2009.0
+ Revision: 223345
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.52.6-4mdv2008.1
+ Revision: 153283
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Pixel <pixel@mandriva.com>
    - rename the "snack" provide into "python-snack"
      (there is a package named libsnack which provides snack)

* Mon Aug 13 2007 Pixel <pixel@mandriva.com> 0.52.6-3mdv2008.0
+ Revision: 62757
- provide whiptail (it's clearer for a package to require "whiptail" instead of "newt")

* Mon Aug 13 2007 Pixel <pixel@mandriva.com> 0.52.6-2mdv2008.0
+ Revision: 62756
- the library should not provide newt (#32315)

* Wed May 30 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.52.6-1mdv2008.0
+ Revision: 32788
- Added upstream/fedora patches entry, countitems, cursor, memleaks.
- Updated to version 0.52.6.
- Redid mdkconf patch -> newt-0.52.6-mdvconf.patch
- Removed allow-textbox-to-take-focus patch, not needed anymore (#15067,
  #31012).
- libnewt0.52-devel, soname change: added needed Conflicts for
  libnewt0.51-devel.

* Thu May 24 2007 Herton Ronaldo Krzesinski <herton@mandriva.com.br> 0.51.6-14mdv2008.0
+ Revision: 30894
- Removed listbox part of patch
  do-not-ignore-EARLY-events-in-listbox--and-allow-textbox-to-take-focus
  and Renamed it to allow-textbox-to-take-focus, because it's breaking
  listbox NEWT_FLAG_RETURNEXIT feature here; with the listbox part of
  the patch applied, the newtFormRun function on exit never return the
  listbox when it's selected and Enter is pressed. From the changelogs,
  this patch is for ticket #15067, I tested it here without the listbox
  part and seems to be ok. Same description and also a testcase reported
  on bugzilla also (#31012).


* Wed Nov 22 2006 Oden Eriksson <oeriksson@mandriva.com> 0.51.6-13mdv2007.0
+ Revision: 86416
- spec file massage

  + bcornec <bcornec>
    - import newt-0.51.6-12mdk

* Mon Dec 12 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.51.6-12mdk
- assorted bug fixes from code review, others are in DrakX

* Wed Apr 27 2005 Pixel <pixel@mandriva.com> 0.51.6-11mdk
- do not ignore EARLY events in listbox and allow textbox to take focus
  => this fixes drakauth which has a scrollbar for the text and also for the entries
  (bugzilla #15067)

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.51.6-10mdk
- Rebuild for new python
- fix dir ownership

* Sat Jul 24 2004 Marcel Pol <mpol@mandrake.org> 0.51.6-9mdk
- again build against new slang

* Thu Jul 22 2004 Marcel Pol <mpol@mandrake.org> 0.51.6-8mdk
- build against new slang

* Wed Jan 28 2004 Warly <warly@mandrakesoft.com> 0.51.6-7mdk
- new version

